package com.xkrs.service;

/**
 * @author xkrs
 */
public interface XkRsForestRangerService {

    /**
     * 根据区县编码查询护林员的信息
     * @param rangerCountyCode
     * @return
     */
    String findByRangerCountyCode(String rangerCountyCode);

    /**
     * 根据区县编码查询该区县所有护林员的信息
     * @param countyCode
     * @param token
     * @return
     */
    String findAllByRangerCountyCode(String countyCode, String token);

    /**
     * 根据手机号修改用户位置
     * @param rangerLatitude
     * @param rangerLongitude
     * @param rangerPhone
     * @return
     */
    String updateLatAndLonByPhone(String rangerLatitude,String rangerLongitude,String rangerPhone);
}
